summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xutils/installer/install.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index 355b0ecc..beef47fd 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -171,14 +171,14 @@ function install_nodejs_deps() {
function install_python_deps() {
echo "Verifying that pip is available.."
if ! python3 -m ensurepip &>/dev/null; then
- if ! command -v pip3 &>/dev/null; then
+ if ! python3 -m pip --version &>/dev/null; then
print_missing_dep_msg "pip"
exit 1
fi
fi
echo "Installing with pip.."
for dep in "${__pip_deps[@]}"; do
- pip3 install --user "$dep"
+ python3 -m pip install --user "$dep"
done
echo "All Python dependencies are succesfully installed"
}